<?php

namespace FM\Factory;

use Doctrine\ORM\EntityManager;

class LocalFactory {
    protected $connection;
    protected $alias;

    public function __construct(EntityManager $entityManager) {
        $this->connection = $entityManager->getConnection();
        $this->alias = "fcLocal";
    }

   public function selectAllLocals($params) {
        $sqlCode = "SELECT FCM_LOCALCLI.NRLOCALCLIENTE, FCM_LOCALCLI.NMLOCALCLIENTE,
                           FCM_LOCALCLI.NRSETOR, FCM_LOCALCLI.NRLOCALCLIENTEPAI, FCM_TIPOLOCALCLI.NRTIPOLOCALCLI
                     FROM FCM_LOCALCLI
                     JOIN FCM_TIPOLOCALCLI
                       ON FCM_LOCALCLI.NRTIPOLOCALCLI = FCM_TIPOLOCALCLI.NRTIPOLOCALCLI
                    WHERE FCM_TIPOLOCALCLI.IDTIPOLOCALCLI = ".$params["parent"];
        $std = $this->connection->prepare($sqlCode);
        $std->execute();
        return $std->fetchAll();
    }
    
    public function selectLocals($params) {
        // debugApi([$params]);  
        $sqlCode = "SELECT NRLOCALCLIENTE, NMLOCALCLIENTE, NRCHECKLISTPADR
                      FROM FCM_LOCALCLI
                     WHERE NRTIPOLOCALCLI = ".$params["nr"];
        $std = $this->connection->prepare($sqlCode);
        $std->execute();
        return $std->fetchAll();
    }
}
?>