/* eslint-disable no-console */
import { Component, Prop } from 'vue-property-decorator';
import { ZdComponentRender } from '@zeedhi/vuetify';
import { ColorPickerClass } from './common/ColorPickerClass';

@Component
export default class ZdColorPicker extends ZdComponentRender {
  @Prop({ type: Boolean, default: false }) public disabled!: boolean;

  @Prop({ type: Object, default: '' }) public value!: Object;

  public instance!: ColorPickerClass;

  public instanceType: typeof ColorPickerClass = ColorPickerClass;

  // public value?: Object = [];

  public inputColor(data: any) {
    if (!(data.hexa === '#FF0000FF' && !this.instance.value)) {
      this.instance.value = data;
      this.instance.inputColor();
    }
  }

  // public updateColor() {
  //   console.log(this.instance.value);
  // }
}
